#ifndef TIMEKEEPER_H_
#define TIMEKEEPER_H_

#include <stdlib.h>
#include <sys/time.h>
#include <time.h>
#include <string>
using namespace std;

class TimeKeeper{
private:
	static timeval 	startTime;
	static timeval 	stopTime;
	static bool		initialized;
	TimeKeeper(); // only use static functions, so don't allow instantiation
public:
	static size_t getMPM();
	static size_t getMJD();
	static bool   isFuture(size_t MJD, size_t MPM);
	static double getRuntime();
	static void   resetRuntime();
	static string DottedDate();
	virtual ~TimeKeeper();
};

#endif /*TIMEKEEPER_H_*/
